History of a callback, oldest first (desk:write)
GET /api/desk/v1/callbacks/{id}/events
Module: Desk · operationId: listCallbackEvents · Tag: Callbacks · Auth: access token (Authorization: Bearer <accessToken>)
Parameters
| Name | In | Type | Required | Description |
|---|---|---|---|---|
id |
path | string (uuid) | yes |
Responses
- 200 History (
application/json) - 404 Error (
application/json)
Fields of the 200 answer:
items(array of CallbackEvent, required)action(string):customer_mail: a mail to the customer was queued (changesmail= text name,to= address);customer_mail_skipped: an automatic mail was not sent (changereason= why, asCallbackMailDraft.missing) (one ofcreated,updated,assigned,status_changed,converted,customer_mail,customer_mail_skipped)actorName(string): Name of who made the changeactorRef(string): Login (e-mail) of who made the changechanges(array of object): Changed fields; note and doneNote only say that they changedfield(string): Changed fieldfrom(any): Value beforeto(any): Value after
createdAt(string (date-time)): When the change happenedid(string): Id of the history entry
Example 200 answer:
{
"items": [
{
"action": "created",
"actorName": "Sophie Huber",
"actorRef": "sophie.huber@muster-it.example",
"changes": [],
"createdAt": "2026-11-17T15:20:00Z",
"id": "6d7e8f9a-0b1c-4d2e-8f3a-4b5c6d7e8f01"
},
{
"action": "status_changed",
"actorName": "Elias Gruber",
"actorRef": "elias.gruber@muster-it.example",
"changes": [
{
"field": "status",
"from": "open",
"to": "not_reached"
}
],
"createdAt": "2026-11-18T07:05:00Z",
"id": "6d7e8f9a-0b1c-4d2e-8f3a-4b5c6d7e8f02"
}
]
}
Example request
curl -X GET 'https://api.mbcom.cloud/api/desk/v1/callbacks/3f2b8c1e-7d4a-4e9b-9c2a-5b1d6e8f0a12/events' \
-H "Authorization: Bearer $ACCESS_TOKEN"